﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Controls.Primitives;

namespace SliderTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void normalSlider_DragStarted(object sender, RadDragStartedEventArgs e)
        {
            e.Handled = true;
        }

        private void RadSlider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            double newValue = e.NewValue;
            if (quarterSlider != null)
            {
                if (newValue >= 1 && newValue <= 3)
                {
                    this.quarterSlider.SelectionStart = 1;
                    this.quarterSlider.SelectionEnd = 3;                   
                }
                else if (newValue >= 4 && newValue <= 6)
                {
                    this.quarterSlider.SelectionStart = 4;
                    this.quarterSlider.SelectionEnd = 6;
                }
                else if (newValue >= 7 && newValue <= 9)
                {
                    this.quarterSlider.SelectionStart = 7;
                    this.quarterSlider.SelectionEnd = 9;
                }
                else
                {
                    this.quarterSlider.SelectionStart = 10;
                    this.quarterSlider.SelectionEnd = 12;
                }
            }
        }           
    }

   
}
